Qt 5.6 | Qt GUI | C++ Classes | QSupportedWritingSystems

Qt 5.6.2 Reference Documentation

# QSupportedWritingSystems Class

The QSupportedWritingSystems class is used when registering fonts with the internal Qt fontdatabase More...

Header: | #include <QSupportedWritingSystems>
qmake: | QT += gui

- List of all members, including inherited members

## Public Functions

| QSupportedWritingSystems()
| QSupportedWritingSystems(const QSupportedWritingSystems &other)
| ~QSupportedWritingSystems()
void | setSupported(QFontDatabase::WritingSystem writingSystem, bool support = true)
bool | supported(QFontDatabase::WritingSystem writingSystem) const
QSupportedWritingSystems & | operator=(const QSupportedWritingSystems &other)

## Detailed Description

The QSupportedWritingSystems class is used when registering fonts with the internal Qt fontdatabase

Its to provide an easy to use interface for indicating what writing systems a specific font supports.

## Member Function Documentation

### QSupportedWritingSystems::QSupportedWritingSystems()

Constructs a new object to handle supported writing systems.

### QSupportedWritingSystems::QSupportedWritingSystems(const QSupportedWritingSystems &other)

Constructs a copy of the other writing systems object.

### QSupportedWritingSystems::~QSupportedWritingSystems()

Destroys the supported writing systems object.

### void QSupportedWritingSystems::setSupported(QFontDatabase::WritingSystem writingSystem, bool support = true)

Sets or clears support for the specified writingSystem based on the value given by support.

See also supported().

### bool QSupportedWritingSystems::supported(QFontDatabase::WritingSystem writingSystem) const

Returns `true` if the writing system specified by writingSystem is supported; otherwise returns `false`.

See also setSupported().

### QSupportedWritingSystems &QSupportedWritingSystems::operator=(const QSupportedWritingSystems &other)

Constructs a copy of the other writing systems object.